Page MenuHomePhabricator

Growth: translation of portions of project pages
Closed, ResolvedPublicMar 14 2019

Description

We would like to streamline and scale the way we send newsletters to the various communities in the various languages that we work with.

Currently, we find ourselves writing newsletters for English and then separate newsletters to be translated into other languages. The reason they are separate is because the English newsletters can be short and can link to our English project pages. But since the project pages aren't translated into other languages, the other newsletters need to contain information from the project pages.

One idea to improve this is to translate portions of the project pages. Then we can link to project pages in our newsletters, and the single newsletter can be translated to all languages. The reason we don't want to translate entire project pages is because they get very long over time, and that may be too much to translate.

Therefore the task here is to mark just the beginning portions of our project pages for translation, and then for those translations to be done before our next newsletter in March. @Trizek-WMF can decide how far down each of these pages to mark for translation, and if there are additional pages that should also be translated.

We would like the marked portions of these pages translated into Czech, Korean, and Vietnamese before we send our next team update, around March 15.

Details

Due Date
Mar 14 2019, 11:00 PM

Event Timeline

Restricted Application added subscribers: revi, Aklapper. · View Herald TranscriptFeb 21 2019, 3:19 AM
Trizek-WMF triaged this task as Normal priority.Feb 21 2019, 5:35 PM
JTannerWMF edited projects, added Growth-Team (Current Sprint); removed Growth-Team.
Trizek-WMF added a subscriber: Urbanecm.EditedFeb 28 2019, 5:25 PM

It is important to have a message that explains why parts of the page are not translated.

On that page, I've used the following template: {{note|1=<translate>The sections below will be changed significantly in the coming weeks.</translate>}}

We could use something similar, more standardized: {{note|1=<translate>The sections below will be changed significantly in the coming weeks, are too technical or less relevant for the understanding of the project. We have decided not to have them translated.</translate>}}. Opinions? ping @Urbanecm

Do we have a plan to "significally change the pages"? If not, I don't think saying that in the message is a good idea. Also, at least for Czech and Korean translations, there's a person who readers can ask in their native language, if they're interested. We can maybe add a sentence like "If you have questions about this project, you can ask X"? What do you think?

Some pages have weekly updates. Translate all the updates is a bit overkill, no?

Concerning getting support from someone, we already handle messages in different languages when they arrive on Mediawiki.org. We can ping the right person who speaks the language when needed. Is that not easier?

Urbanecm added a comment.EditedFeb 28 2019, 5:45 PM

Some pages have weekly updates. Translate all the updates is a bit overkill, no?

<del>I'm not saying we should translate all the updates.</del> EDIT: Ah, that's the update you meant. Okay, makes sense.

Concerning getting support from someone, we already handle messages in different languages when they arrive on Mediawiki.org. We can ping the right person who speaks the language when needed. Is that not easier?

Hmm, you've a point there.

FTR, I'm going to mark portions of the pages linked for translation, as discussed in my weekly meeting with @MMiller_WMF and @Trizek-WMF.

Trizek-WMF updated the task description. (Show Details)Feb 28 2019, 6:22 PM

Děkuji mnohokrát!
I have updated the task description so that we can display which ones are done.

Urbanecm updated the task description. (Show Details)Feb 28 2019, 6:57 PM
Urbanecm updated the task description. (Show Details)Feb 28 2019, 7:11 PM
Urbanecm updated the task description. (Show Details)Feb 28 2019, 8:11 PM
Urbanecm updated the task description. (Show Details)Feb 28 2019, 8:16 PM
Urbanecm updated the task description. (Show Details)Feb 28 2019, 8:22 PM
Urbanecm updated the task description. (Show Details)Feb 28 2019, 8:34 PM

Není za co :). 've marked all the pages for translation now, I'll self-review my work tomorrow.

Urbanecm updated the task description. (Show Details)Feb 28 2019, 8:41 PM
Trizek-WMF closed this task as Resolved.Mar 1 2019, 4:03 PM
Trizek-WMF reassigned this task from Trizek-WMF to Urbanecm.

I've reviewed the translations.

Thank you very much for your help Martin.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptMar 1 2019, 4:03 PM

You're welcome, and thanks for closing this. I understood this task to be about marking _and_ translating, but looks I was probably wrong. Just wondering, is there a task for the second part?

Trizek-WMF reopened this task as Open.Mar 5 2019, 3:40 PM
Trizek-WMF claimed this task.

You're welcome, and thanks for closing this. I understood this task to be about marking _and_ translating, but looks I was probably wrong. Just wondering, is there a task for the second part?

Correct. I've created subtasks and I'm repoening this one for coordination.

My part done.

You mean translations done? Because they are not visible on wiki.

Trizek-WMF set Due Date to Mar 14 2019, 11:00 PM.Mar 7 2019, 5:07 PM
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptMar 7 2019, 5:07 PM

My part done.

You mean translations done? Because they are not visible on wiki.

Sorry, I meant marking for translation done, keeping this at my personal project didn't give anything for me :).

Urbanecm closed this task as Resolved.Mar 17 2019, 7:46 PM

Looks done?